IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/16
Addresses2^112
/64 networks2^48
- Network
ffc5::/16- First address
ffc5::- Last address
ffc5:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
- /64 networks (LANs)
- 281,474,976,710,656 (2^48)
- Full form
ffc5:0000:0000:0000:0000:0000:0000:0000- Type
- Multicast ff00::/8
One-to-many traffic; replaces broadcast - Reverse DNS zone
5.c.f.f.ip6.arpa
Split into smaller subnets
ffc5::/16 makes 65,536 subnets of /32; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | ffc5::/32 | ffc5:0:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | ffc5:1::/32 | ffc5:1:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | ffc5:2::/32 | ffc5:2:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | ffc5:3::/32 | ffc5:3:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | ffc5:4::/32 | ffc5:4:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | ffc5:5::/32 | ffc5:5:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | ffc5:6::/32 | ffc5:6:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | ffc5:7::/32 | ffc5:7:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | ffc5:8::/32 | ffc5:8:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | ffc5:9::/32 | ffc5:9:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | ffc5:a::/32 | ffc5:a:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | ffc5:b::/32 | ffc5:b:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | ffc5:c::/32 | ffc5:c:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | ffc5:d::/32 | ffc5:d:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | ffc5:e::/32 | ffc5:e:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | ffc5:f::/32 | ffc5:f:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | ffc5:10::/32 | ffc5:10:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | ffc5:11::/32 | ffc5:11:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | ffc5:12::/32 | ffc5:12:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | ffc5:13::/32 | ffc5:13:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | ffc5:14::/32 | ffc5:14:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | ffc5:15::/32 | ffc5:15:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | ffc5:16::/32 | ffc5:16:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | ffc5:17::/32 | ffc5:17:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | ffc5:18::/32 | ffc5:18:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | ffc5:19::/32 | ffc5:19:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | ffc5:1a::/32 | ffc5:1a:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | ffc5:1b::/32 | ffc5:1b:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | ffc5:1c::/32 | ffc5:1c:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | ffc5:1d::/32 | ffc5:1d:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | ffc5:1e::/32 | ffc5:1e:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | ffc5:1f::/32 | ffc5:1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | ffc5:20::/32 | ffc5:20:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | ffc5:21::/32 | ffc5:21:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | ffc5:22::/32 | ffc5:22:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | ffc5:23::/32 | ffc5:23:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | ffc5:24::/32 | ffc5:24:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | ffc5:25::/32 | ffc5:25:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | ffc5:26::/32 | ffc5:26:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | ffc5:27::/32 | ffc5:27:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | ffc5:28::/32 | ffc5:28:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | ffc5:29::/32 | ffc5:29:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | ffc5:2a::/32 | ffc5:2a:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | ffc5:2b::/32 | ffc5:2b:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | ffc5:2c::/32 | ffc5:2c:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | ffc5:2d::/32 | ffc5:2d:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | ffc5:2e::/32 | ffc5:2e:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | ffc5:2f::/32 | ffc5:2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | ffc5:30::/32 | ffc5:30:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | ffc5:31::/32 | ffc5:31:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | ffc5:32::/32 | ffc5:32:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | ffc5:33::/32 | ffc5:33:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | ffc5:34::/32 | ffc5:34:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | ffc5:35::/32 | ffc5:35:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | ffc5:36::/32 | ffc5:36:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | ffc5:37::/32 | ffc5:37:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | ffc5:38::/32 | ffc5:38:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | ffc5:39::/32 | ffc5:39:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | ffc5:3a::/32 | ffc5:3a:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | ffc5:3b::/32 | ffc5:3b:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | ffc5:3c::/32 | ffc5:3c:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | ffc5:3d::/32 | ffc5:3d:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | ffc5:3e::/32 | ffc5:3e:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | ffc5:3f::/32 | ffc5:3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | ffc5:40::/32 | ffc5:40:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | ffc5:41::/32 | ffc5:41:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | ffc5:42::/32 | ffc5:42:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | ffc5:43::/32 | ffc5:43:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | ffc5:44::/32 | ffc5:44:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | ffc5:45::/32 | ffc5:45:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | ffc5:46::/32 | ffc5:46:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | ffc5:47::/32 | ffc5:47:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | ffc5:48::/32 | ffc5:48:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | ffc5:49::/32 | ffc5:49:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | ffc5:4a::/32 | ffc5:4a:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | ffc5:4b::/32 | ffc5:4b:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | ffc5:4c::/32 | ffc5:4c:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | ffc5:4d::/32 | ffc5:4d:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | ffc5:4e::/32 | ffc5:4e:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | ffc5:4f::/32 | ffc5:4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | ffc5:50::/32 | ffc5:50:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | ffc5:51::/32 | ffc5:51:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | ffc5:52::/32 | ffc5:52:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | ffc5:53::/32 | ffc5:53:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | ffc5:54::/32 | ffc5:54:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | ffc5:55::/32 | ffc5:55:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | ffc5:56::/32 | ffc5:56:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | ffc5:57::/32 | ffc5:57:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | ffc5:58::/32 | ffc5:58:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | ffc5:59::/32 | ffc5:59:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | ffc5:5a::/32 | ffc5:5a:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | ffc5:5b::/32 | ffc5:5b:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | ffc5:5c::/32 | ffc5:5c:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | ffc5:5d::/32 | ffc5:5d:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | ffc5:5e::/32 | ffc5:5e:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | ffc5:5f::/32 | ffc5:5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | ffc5:60::/32 | ffc5:60:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | ffc5:61::/32 | ffc5:61:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | ffc5:62::/32 | ffc5:62:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | ffc5:63::/32 | ffc5:63:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | ffc5:64::/32 | ffc5:64:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | ffc5:65::/32 | ffc5:65:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | ffc5:66::/32 | ffc5:66:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | ffc5:67::/32 | ffc5:67:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | ffc5:68::/32 | ffc5:68:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | ffc5:69::/32 | ffc5:69:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | ffc5:6a::/32 | ffc5:6a:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | ffc5:6b::/32 | ffc5:6b:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | ffc5:6c::/32 | ffc5:6c:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | ffc5:6d::/32 | ffc5:6d:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | ffc5:6e::/32 | ffc5:6e:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | ffc5:6f::/32 | ffc5:6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | ffc5:70::/32 | ffc5:70:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | ffc5:71::/32 | ffc5:71:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | ffc5:72::/32 | ffc5:72:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | ffc5:73::/32 | ffc5:73:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | ffc5:74::/32 | ffc5:74:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | ffc5:75::/32 | ffc5:75:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | ffc5:76::/32 | ffc5:76:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | ffc5:77::/32 | ffc5:77:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | ffc5:78::/32 | ffc5:78:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | ffc5:79::/32 | ffc5:79:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | ffc5:7a::/32 | ffc5:7a:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | ffc5:7b::/32 | ffc5:7b:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | ffc5:7c::/32 | ffc5:7c:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | ffc5:7d::/32 | ffc5:7d:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | ffc5:7e::/32 | ffc5:7e:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | ffc5:7f::/32 | ffc5:7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | ffc5:80::/32 | ffc5:80:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | ffc5:81::/32 | ffc5:81:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | ffc5:82::/32 | ffc5:82:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | ffc5:83::/32 | ffc5:83:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | ffc5:84::/32 | ffc5:84:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | ffc5:85::/32 | ffc5:85:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | ffc5:86::/32 | ffc5:86:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | ffc5:87::/32 | ffc5:87:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | ffc5:88::/32 | ffc5:88:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | ffc5:89::/32 | ffc5:89:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | ffc5:8a::/32 | ffc5:8a:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | ffc5:8b::/32 | ffc5:8b:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | ffc5:8c::/32 | ffc5:8c:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | ffc5:8d::/32 | ffc5:8d:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | ffc5:8e::/32 | ffc5:8e:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | ffc5:8f::/32 | ffc5:8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | ffc5:90::/32 | ffc5:90:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | ffc5:91::/32 | ffc5:91:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | ffc5:92::/32 | ffc5:92:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | ffc5:93::/32 | ffc5:93:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | ffc5:94::/32 | ffc5:94:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | ffc5:95::/32 | ffc5:95:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | ffc5:96::/32 | ffc5:96:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | ffc5:97::/32 | ffc5:97:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | ffc5:98::/32 | ffc5:98:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | ffc5:99::/32 | ffc5:99:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | ffc5:9a::/32 | ffc5:9a:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | ffc5:9b::/32 | ffc5:9b:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | ffc5:9c::/32 | ffc5:9c:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | ffc5:9d::/32 | ffc5:9d:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | ffc5:9e::/32 | ffc5:9e:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | ffc5:9f::/32 | ffc5:9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | ffc5:a0::/32 | ffc5:a0:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | ffc5:a1::/32 | ffc5:a1:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | ffc5:a2::/32 | ffc5:a2:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | ffc5:a3::/32 | ffc5:a3:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | ffc5:a4::/32 | ffc5:a4:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | ffc5:a5::/32 | ffc5:a5:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | ffc5:a6::/32 | ffc5:a6:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | ffc5:a7::/32 | ffc5:a7:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | ffc5:a8::/32 | ffc5:a8:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | ffc5:a9::/32 | ffc5:a9:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | ffc5:aa::/32 | ffc5:aa:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | ffc5:ab::/32 | ffc5:ab:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | ffc5:ac::/32 | ffc5:ac:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | ffc5:ad::/32 | ffc5:ad:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | ffc5:ae::/32 | ffc5:ae:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | ffc5:af::/32 | ffc5:af:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | ffc5:b0::/32 | ffc5:b0:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | ffc5:b1::/32 | ffc5:b1:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | ffc5:b2::/32 | ffc5:b2:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | ffc5:b3::/32 | ffc5:b3:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | ffc5:b4::/32 | ffc5:b4:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | ffc5:b5::/32 | ffc5:b5:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | ffc5:b6::/32 | ffc5:b6:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | ffc5:b7::/32 | ffc5:b7:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | ffc5:b8::/32 | ffc5:b8:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | ffc5:b9::/32 | ffc5:b9:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | ffc5:ba::/32 | ffc5:ba:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | ffc5:bb::/32 | ffc5:bb:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | ffc5:bc::/32 | ffc5:bc:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | ffc5:bd::/32 | ffc5:bd:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | ffc5:be::/32 | ffc5:be:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | ffc5:bf::/32 | ffc5:bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | ffc5:c0::/32 | ffc5:c0:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | ffc5:c1::/32 | ffc5:c1:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | ffc5:c2::/32 | ffc5:c2:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | ffc5:c3::/32 | ffc5:c3:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | ffc5:c4::/32 | ffc5:c4:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | ffc5:c5::/32 | ffc5:c5:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | ffc5:c6::/32 | ffc5:c6:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | ffc5:c7::/32 | ffc5:c7:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | ffc5:c8::/32 | ffc5:c8:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | ffc5:c9::/32 | ffc5:c9:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | ffc5:ca::/32 | ffc5:ca:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | ffc5:cb::/32 | ffc5:cb:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | ffc5:cc::/32 | ffc5:cc:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | ffc5:cd::/32 | ffc5:cd:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | ffc5:ce::/32 | ffc5:ce:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | ffc5:cf::/32 | ffc5:cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | ffc5:d0::/32 | ffc5:d0:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | ffc5:d1::/32 | ffc5:d1:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | ffc5:d2::/32 | ffc5:d2:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | ffc5:d3::/32 | ffc5:d3:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | ffc5:d4::/32 | ffc5:d4:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | ffc5:d5::/32 | ffc5:d5:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | ffc5:d6::/32 | ffc5:d6:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | ffc5:d7::/32 | ffc5:d7:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | ffc5:d8::/32 | ffc5:d8:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | ffc5:d9::/32 | ffc5:d9:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | ffc5:da::/32 | ffc5:da:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | ffc5:db::/32 | ffc5:db:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | ffc5:dc::/32 | ffc5:dc:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | ffc5:dd::/32 | ffc5:dd:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | ffc5:de::/32 | ffc5:de:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | ffc5:df::/32 | ffc5:df:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | ffc5:e0::/32 | ffc5:e0:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | ffc5:e1::/32 | ffc5:e1:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | ffc5:e2::/32 | ffc5:e2:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | ffc5:e3::/32 | ffc5:e3:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | ffc5:e4::/32 | ffc5:e4:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | ffc5:e5::/32 | ffc5:e5:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | ffc5:e6::/32 | ffc5:e6:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | ffc5:e7::/32 | ffc5:e7:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | ffc5:e8::/32 | ffc5:e8:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | ffc5:e9::/32 | ffc5:e9:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | ffc5:ea::/32 | ffc5:ea:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | ffc5:eb::/32 | ffc5:eb:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | ffc5:ec::/32 | ffc5:ec:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | ffc5:ed::/32 | ffc5:ed:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | ffc5:ee::/32 | ffc5:ee:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | ffc5:ef::/32 | ffc5:ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | ffc5:f0::/32 | ffc5:f0:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | ffc5:f1::/32 | ffc5:f1:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | ffc5:f2::/32 | ffc5:f2:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | ffc5:f3::/32 | ffc5:f3:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | ffc5:f4::/32 | ffc5:f4:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | ffc5:f5::/32 | ffc5:f5:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | ffc5:f6::/32 | ffc5:f6:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | ffc5:f7::/32 | ffc5:f7:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | ffc5:f8::/32 | ffc5:f8:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | ffc5:f9::/32 | ffc5:f9:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | ffc5:fa::/32 | ffc5:fa:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | ffc5:fb::/32 | ffc5:fb:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | ffc5:fc::/32 | ffc5:fc:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | ffc5:fd::/32 | ffc5:fd:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | ffc5:fe::/32 | ffc5:fe:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | ffc5:ff::/32 | ffc5:ff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |